Subject: Re: What's cooking in git.git (Aug 2020, #02; Mon, 10)

From: Sergey Organov <[email-masked]>
Date: Wed, 12 Aug 2020 00:26:17 +0300

Junio C Hamano <[email-masked]> writes:

> Sergey Organov <[email-masked]> writes:
>
>> And I asked you to postpone that in <[email-masked]> for
>> which I got no answer. I repeat it here for convenience:
>>
>> "
>> For now, can we leave these patches as-is and then add additional tests
>> on top, please? I'm afraid that adding them now will force me to rewrite
>> current descriptions, as the result won't be minimal anymore, and I
>> feel uneasy about writing commit messages for these permuted tests
>> anyway.
>> "
>
> I was expecting just one case I mentioned in the first message and
> nothing else, which is crucial to highlight how --first-parent's
> "implication" works with explicit --diff-merges.
>
> Full "permutated tests" was what you brought up in the discussion,
> but I already said it was overkill to your response before you said
> the above.  The "minimal" would be the posted patch plus a missing
> "first-parent comes before --diff-merges=off" test filled in.

I've sent the patch before I saw this, please see
<[email-masked]>.

Is it OK with you?

Thanks,
-- Sergey